#define IN_MAIN

#include <cstdlib>
#include <iostream>
#include "calcul.hxx"
#include "timer.hxx"
#include "config.hxx"
#include "arguments.hxx"

int main(int argc, char **argv)
{  
  std::cerr << "Version : CPU" << std::endl;
  
  T_AllocId = AddTimer("alloc");
  T_InitId = AddTimer("init");
  T_AddId = AddTimer("add");
  T_VerifId = AddTimer("verif");
  T_FreeId = AddTimer("free");
  AddTimer("total");

  Arguments Args(argc, argv);
  size_t n = Args.Get("n", (size_t) N);

  Timer & T_total = GetTimer(-1);
  T_total.start();
  
  double v;
  {
    Calcul_CPU C(n);
    C.init();
    C.addition();
    v = C.verification();
  }

  T_total.stop();

  std::cout << "erreur " << v << std::endl;
  
  PrintTimers(std::cout);
  SaveTimers("CPU");
  return 0;
}
