
__kernel void setGreyGPU(__global double *g_odata,
	 		 __global double *g_ired,
			 __global double *g_igreen,
			 __global double *g_iblue,
			   int n)
{
  const int id = get_global_id (0);
  if (id < n)
    g_odata[id]
      = 0.21*g_ired[id]
      + 0.72*g_igreen[id]
      + 0.07*g_iblue[id];
}
